summaryrefslogtreecommitdiff
path: root/bg1/install-patch-baldurdash-text.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-17 17:10:07 +0100
committerNick White <git@njw.me.uk>2009-04-17 17:10:07 +0100
commit3603dfcb5d12e19b75dccbc2a621adb83fd7adea (patch)
tree4db93b4e5fb98a380475b9edd5c0054a0d51302b /bg1/install-patch-baldurdash-text.sh
parentc2c29265815ddfa73d77276bc2fd5a53be08e608 (diff)
downloadgemrb-gameinstallers-b9c47f93e949f71a2d48cdfbea311fd16e664bf0.tar.bz2
gemrb-gameinstallers-b9c47f93e949f71a2d48cdfbea311fd16e664bf0.zip
Move overridden die for patch to new general function: diesoftlyv0.1.1
Diffstat (limited to 'bg1/install-patch-baldurdash-text.sh')
-rwxr-xr-xbg1/install-patch-baldurdash-text.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bg1/install-patch-baldurdash-text.sh b/bg1/install-patch-baldurdash-text.sh
index bab642d..9dbf9a9 100755
--- a/bg1/install-patch-baldurdash-text.sh
+++ b/bg1/install-patch-baldurdash-text.sh
@@ -24,7 +24,7 @@ parseargs "$@"
if [ "$LANGUAGE" != "English" ]; then
echo "The Baldurdash text pack is only available in English"
- die
+ diesoftly
fi
checkforbin unzip wget
@@ -36,7 +36,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1NoTOSCGameTextUpdate10.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1NoTOSCGameTextUpdate10.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"